Loading...
Searching...
No Matches
BALL::SimpleDownloaderHelper::DLHelper Class Reference

`#include <BALL/SYSTEM/simpleDownloader.h>`

Inheritance diagram for BALL::SimpleDownloaderHelper::DLHelper:

## Public Slots

void | finished ()
void | receivedData ()
Public Slots inherited from BALL::SimpleDownloaderHelper::BasicHelper
void | error (QNetworkReply::NetworkError error)
void | sslErrors (const QList< QSslError > &errors)
virtual void | finished ()=0

## Public Member Functions

| DLHelper (HelperThread *caller, QNetworkReply *reply, const String &path)
Public Member Functions inherited from BALL::SimpleDownloaderHelper::BasicHelper
| BasicHelper (HelperThread *caller, QNetworkReply *reply)
virtual | ~BasicHelper ()

## Additional Inherited Members

Protected Attributes inherited from BALL::SimpleDownloaderHelper::BasicHelper
HelperThread * | caller_
QNetworkReply * | reply_

## Detailed Description

Definition at line 230 of file simpleDownloader.h.

## Constructor & Destructor Documentation

## DLHelper()

BALL::SimpleDownloaderHelper::DLHelper::DLHelper | ( | HelperThread * | caller,
|  | QNetworkReply * | reply,
|  | const String & | path )

## Member Function Documentation

## finished

void BALL::SimpleDownloaderHelper::DLHelper::finished | ( |  | ) |

slot

## receivedData

void BALL::SimpleDownloaderHelper::DLHelper::receivedData | ( |  | ) |

slot